# Created by pyp2rpm-3.3.1
%global pypi_name requestsexceptions

Name:           python-%{pypi_name}
Version:        1.4.0
Release:        %mkrel 11
Summary:        Import exceptions from potentially bundled packages in requests
Group:          Development/Python
License:        ASL 2.0
URL:            https://www.openstack.org/
Source0:        https://pypi.io/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch1:         fix-test-requirements.patch
BuildArch:      noarch

BuildRequires:  python3-devel

%description
requestsexceptions The python requests library bundles the urllib3 library,
however, some software distributions modify requests to remove the bundled
library. This makes some operations, such as suppressing the "insecure platform
warning" messages that urllib emits difficult. This is a simple library to find
the correct path to exceptions in the requests library regardless of whether
they are bundled.

%package -n     python3-%{pypi_name}
Summary:        Import exceptions from potentially bundled packages in requests
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
requestsexceptions The python requests library bundles the urllib3 library,
however, some software distributions modify requests to remove the bundled
library. This makes some operations, such as suppressing the "insecure platform
warning" messages that urllib emits difficult. This is a simple library to find
the correct path to exceptions in the requests library regardless of whether
they are bundled.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
# no tests in archive

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst



%changelog
* Sat Mar 01 2025 wally <wally> 1.4.0-11.mga10
+ Revision: 2155905
- rebuild for python3.13

* Tue Jan 21 2025 papoteur <papoteur> 1.4.0-10.mga10
+ Revision: 2140340
- no tests provided in archive

* Fri Feb 23 2024 daviddavid <daviddavid> 1.4.0-9.mga10
+ Revision: 2043665
- switch to pyproject

* Fri Feb 23 2024 daviddavid <daviddavid> 1.4.0-8.mga10
+ Revision: 2043645
- rebuild for py3.12

* Mon Aug 22 2022 umeabot <umeabot> 1.4.0-7.mga9
+ Revision: 1879218
- Mageia 9 Mass Rebuild

* Sun Mar 21 2021 daviddavid <daviddavid> 1.4.0-6.mga9
+ Revision: 1706930
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.4.0-5.mga8
+ Revision: 1534935
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 1.4.0-4.mga8
+ Revision: 1450213
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 kekepower <kekepower> 1.4.0-3.mga7
+ Revision: 1351267
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1290001
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 kekepower <kekepower> 1.4.0-1.mga7
+ Revision: 1222316
- BR python-coverage
- Add patch to fix test requirements
- Fix BRs
- imported package python-requestsexceptions

